[Solved] Polonizacja interfejsu LibreOffice -5.3.4.2-snap1

Przeglądarki, poczta, pakiety biurowe, prezentacje itd.
Laos
Wytworny Kaczor
Wytworny Kaczor
Posty: 261
Rejestracja: 20 lis 2009, 18:51
Płeć: Mężczyzna
Wersja Ubuntu: 16.04
Środowisko graficzne: XFCE
Architektura: x86_64

[Solved] Polonizacja interfejsu LibreOffice -5.3.4.2-snap1

Post autor: Laos » 14 paź 2017, 16:58

Witam
Zainstalowałem jako snap LibreOffice 5.3.4.2 czyli najnowszy dostępny. Pobrałem pakiet językowy, ale najbliższy dostępny pakiet dla języka polskiego to 5.3.6. Próbowałem go zainstalować ale niestety nie udaje mi się. Używałem "Instalacji oprogramowania" i "Centrum oprogramowania Ubuntu".

Potem próbowałem przez terminal

Kod: Zaznacz cały

t61@t61:~$ sudo apt-get install /home/t61/DEBS/libreoffice5.3-pl_5.3.6.1-1_amd64.deb
[sudo] hasło użytkownika t61: 
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
Uwaga, wybieranie "libreoffice5.3-pl" zamiast "/home/t61/DEBS/libreoffice5.3-pl_5.3.6.1-1_amd64.deb"
Nie udało się zainstalować niektórych pakietów. Może to oznaczać,
że zażądano niemożliwej sytuacji lub użyto dystrybucji niestabilnej,
w której niektóre pakiety nie zostały jeszcze utworzone lub przeniesione
z katalogu Incoming ("Przychodzące").
Następujące informacje mogą pomóc rozwiązać sytuację:

Następujące pakiety mają niespełnione zależności:
 libreoffice5.3-pl : Wymaga: libreoffice5.3 (>= 5.3.6.1) ale nie da się go zainstalować
                     Wymaga: libreoffice5.3 (<= 5.3.6.1-1) ale nie da się go zainstalować
                     Wymaga: libobasis5.3-pl (>= 5.3.6.1) ale nie da się go zainstalować
                     Wymaga: libobasis5.3-pl (<= 5.3.6.1-1) ale nie da się go zainstalować
                     Wymaga: libobasis5.3-pl-base (>= 5.3.6.1) ale nie da się go zainstalować
                     Wymaga: libobasis5.3-pl-base (<= 5.3.6.1-1) ale nie da się go zainstalować
                     Wymaga: libobasis5.3-pl-calc (>= 5.3.6.1) ale nie da się go zainstalować
                     Wymaga: libobasis5.3-pl-calc (<= 5.3.6.1-1) ale nie da się go zainstalować
                     Wymaga: libobasis5.3-pl-math (>= 5.3.6.1) ale nie da się go zainstalować
                     Wymaga: libobasis5.3-pl-math (<= 5.3.6.1-1) ale nie da się go zainstalować
                     Wymaga: libobasis5.3-pl-res (>= 5.3.6.1) ale nie da się go zainstalować
                     Wymaga: libobasis5.3-pl-res (<= 5.3.6.1-1) ale nie da się go zainstalować
                     Wymaga: libobasis5.3-pl-writer (>= 5.3.6.1) ale nie da się go zainstalować
                     Wymaga: libobasis5.3-pl-writer (<= 5.3.6.1-1) ale nie da si
A wypluło mi to co powyżej.
Hmm...
Ostatnio zmieniony 18 paź 2017, 10:56 przez Laos, łącznie zmieniany 1 raz.
Awatar użytkownika
Tomfoc
Przebojowy Jelonek
Przebojowy Jelonek
Posty: 1491
Rejestracja: 30 lis 2011, 21:14
Płeć: Mężczyzna
Wersja Ubuntu: 17.10
Środowisko graficzne: GNOME
Architektura: x86_64

Re: Polonizacja interfejsu LibreOffice -5.3.4.2-snap1

Post autor: Tomfoc » 14 paź 2017, 19:00

LibreOffice jest w repozytorium i nie trzeba kombinować.
Laptop: Lenovo Ideapad 300, CPU: Intel® Core™ i5-6200U CPU @ 2.30GHz × 4, GPU: Intel® HD Graphics 520 (Skylake GT2), RAM: 8 GB, HDD: 500 GB
Awatar użytkownika
mario_7
Administrator
Administrator
Posty: 6810
Rejestracja: 30 sie 2006, 13:11
Płeć: Mężczyzna
Wersja Ubuntu: 16.04
Środowisko graficzne: Unity
Architektura: x86_64

Re: Polonizacja interfejsu LibreOffice -5.3.4.2-snap1

Post autor: mario_7 » 16 paź 2017, 22:06

LibreOffice masz jako pakiet snap, a spolszczenie próbujesz zainstalować z repozytoriów (jako pakiet deb) - tak się nie da.
Czytelnia - poczytaj, Google - poszukaj
Laos
Wytworny Kaczor
Wytworny Kaczor
Posty: 261
Rejestracja: 20 lis 2009, 18:51
Płeć: Mężczyzna
Wersja Ubuntu: 16.04
Środowisko graficzne: XFCE
Architektura: x86_64

Re: Polonizacja interfejsu LibreOffice -5.3.4.2-snap1

Post autor: Laos » 17 paź 2017, 12:21

Czy jest metoda na to by doinstalować do tego snapa spolszczenie czy też jedyną drogą jest odinstalowanie snapa i instalacja LibreOffice z repozytorium i do tej wersji z repozytorium instalowanie spolszczenia ?
Coś mi chodzi po głowie, że te oficjalne spolszczenie nie jest całkowite i było jakieś lepsze spolszczenie robione przez jakąś polską społeczność ( może nawet z tego forum).
Pozdrawiam
rrico
Sędziwy Jeż
Sędziwy Jeż
Posty: 63
Rejestracja: 22 kwie 2017, 11:32
Płeć: Mężczyzna
Wersja Ubuntu: 16.04
Środowisko graficzne: Inne
Architektura: x86_64
Lokalizacja: óć-pl

Re: Polonizacja interfejsu LibreOffice -5.3.4.2-snap1

Post autor: rrico » 18 paź 2017, 08:43

Nie wiem czy jest metoda, ale jak mam coś w oficjalnym repo to instaluję z repo, bo te źródła są sprawdzone i stale nadzorowane. Instalacja nie trwa długo a będziesz miał pewność, że ktoś o to dba i spolszczenie było robione przez większą grupę ludzi, a co za tym idzie, może być bardziej kompletne. Pomyśl czy lepiej pokombinować i bardziej ogarnąć system, czy lepiej mieć ten pakiet i go zacząć już używać bo np. potrzebujesz.
----------------------------------------------------
Ubuntu MATE 16.04.2 LTS x64 (tymczasowo offline) | Składak
Limux Mint 18.2 Mate/Cinnamon x64 (bieżący) | Toshiba Satellite A350
Laos
Wytworny Kaczor
Wytworny Kaczor
Posty: 261
Rejestracja: 20 lis 2009, 18:51
Płeć: Mężczyzna
Wersja Ubuntu: 16.04
Środowisko graficzne: XFCE
Architektura: x86_64

Re: Polonizacja interfejsu LibreOffice -5.3.4.2-snap1

Post autor: Laos » 18 paź 2017, 10:54

Witam
Dzięki. Wróciłem do wersji LibreOffice z repozytorium i wszystko jest jak należy.
Czasami nie trzeba za bardzo kombinować. Ha, ha,...
Pozdrawiam
rrico
Sędziwy Jeż
Sędziwy Jeż
Posty: 63
Rejestracja: 22 kwie 2017, 11:32
Płeć: Mężczyzna
Wersja Ubuntu: 16.04
Środowisko graficzne: Inne
Architektura: x86_64
Lokalizacja: óć-pl

Re: [Solved] Polonizacja interfejsu LibreOffice -5.3.4.2-snap1

Post autor: rrico » 19 paź 2017, 08:17

Czy to nie proste? ;)
Nie chciałem mówić wprost bo w końcu każdy ma prawo wyboru czego używa i sam decyduje co instalować, ale o ile łatwiej się żyje.
----------------------------------------------------
Ubuntu MATE 16.04.2 LTS x64 (tymczasowo offline) | Składak
Limux Mint 18.2 Mate/Cinnamon x64 (bieżący) | Toshiba Satellite A350
ODPOWIEDZ

Wróć do „Biuro”